<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Smart Folder: Référence de la structure criteria_t</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Smart Folder
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">Un répertoire virtuel de recherche de fichiers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('structcriteria__t.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Champs de données</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la structure criteria_t</div>  </div>
</div><!--header-->
<div class="contents">

<p>Représente les informations des critères de recherche :  
 <a href="structcriteria__t.html#details">Plus de détails...</a></p>

<p><code>#include &lt;<a class="el" href="parser_8h_source.html">parser.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Champs de données</h2></td></tr>
<tr class="memitem:a0c6e69611f529a0644f9e518bd7ffb83"><td class="memItemLeft" align="right" valign="top"><a id="a0c6e69611f529a0644f9e518bd7ffb83"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>index</b></td></tr>
<tr class="separator:a0c6e69611f529a0644f9e518bd7ffb83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b0094ad4b08f18b4cbbdd2945a22425"><td class="memItemLeft" align="right" valign="top"><a id="a5b0094ad4b08f18b4cbbdd2945a22425"></a>
char&#160;</td><td class="memItemRight" valign="bottom"><b>str</b> [<a class="el" href="parser_8h.html#a278cf415676752815cfb411cb0b32802">STRLEN</a>]</td></tr>
<tr class="separator:a5b0094ad4b08f18b4cbbdd2945a22425"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5af9e6e4b6997f5997033194733f24ca"><td class="memItemLeft" align="right" valign="top"><a id="a5af9e6e4b6997f5997033194733f24ca"></a>
char&#160;</td><td class="memItemRight" valign="bottom"><b>compare</b></td></tr>
<tr class="separator:a5af9e6e4b6997f5997033194733f24ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af16c1f27e6fc16cba2b3a104faadce9f"><td class="memItemLeft" align="right" valign="top"><a id="af16c1f27e6fc16cba2b3a104faadce9f"></a>
char&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:af16c1f27e6fc16cba2b3a104faadce9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20cf8f311f3a632cc9c61d3863c4cbf9"><td class="memItemLeft" align="right" valign="top"><a id="a20cf8f311f3a632cc9c61d3863c4cbf9"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>value</b></td></tr>
<tr class="separator:a20cf8f311f3a632cc9c61d3863c4cbf9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Représente les informations des critères de recherche : </p>
<table class="doxtable">
<tr>
<th align="left"></th><th align="center">--name </th><th align="center">--size </th><th align="center">--date </th><th align="center">--owner </th><th align="center">--mode  </th></tr>
<tr>
<td align="left">index </td><td align="center">0 </td><td align="center">1 </td><td align="center">2 </td><td align="center">3 </td><td align="center">4 </td></tr>
<tr>
<td align="left">str[STRLEN] </td><td align="center">file_name </td><td align="center">null </td><td align="center">date </td><td align="center">owner </td><td align="center">mode_octal </td></tr>
<tr>
<td align="left">compare </td><td align="center">null </td><td align="center">+|-|= </td><td align="center">+|-|= </td><td align="center">+|! </td><td align="center">null </td></tr>
<tr>
<td align="left">type </td><td align="center">null </td><td align="center">O|K|M|G </td><td align="center">C|M|U </td><td align="center">U|G </td><td align="center">E|C </td></tr>
<tr>
<td align="left">value </td><td align="center">null </td><td align="center">size </td><td align="center">null </td><td align="center">null </td><td align="center">null </td></tr>
</table>
</div><hr/>La documentation de cette structure a été générée à partir du fichier suivant :<ul>
<li>inc/<a class="el" href="parser_8h_source.html">parser.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="structcriteria__t.html">criteria_t</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
